package com.crm.rely.backend.core.dto.pamm;

import com.crm.rely.backend.core.dto.base.BaseInfoDto;
import lombok.Data;

/**
 * @ClassName PammInfoDto
 * @Description
 * @Author y
 * @Date 2023/12/28 15:18
 */
@Data
public class PammInfoDto extends BaseInfoDto {

    private Long cId;

    private String ibNo;
    /**
     * 佣金账户
     */
    private Long ownerId;
    /**
     * 交易账户
     */
    private Long accountId;
    /**
     * 收益分成
     */
    private String percent;

    private String platform;
    /**
     * 子账户数量
     */
    private Integer subAmount;


    public static PammInfoDto getInstance() {
        PammInfoDto dto = new PammInfoDto();
        dto.setSubAmount(0);
        return dto;
    }


}
